SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Generic)  >   EMC NetWorker Vendors:   EMC
EMC Legato NetWorker 'nsrd.exe' and 'nsrexecd.exe' Heap Overflows Let Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1015500
SecurityTracker URL:  http://securitytracker.com/id/1015500
CVE Reference:   CVE-2005-3658, CVE-2005-3659   (Links to External Site)
Date:  Jan 18 2006
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 7.2.1; possibly other versions
Description:   iDEFENSE reported several vulnerabilities in Legato NetWorker. A remote user can execute arbitrary code on the target system.

A remote user can send specially crafted RPC requests to RPC program number 390109 on the target system to trigger a heap overflow or a NULL pointer dereference in 'nsrd.exe'.

Backup client systems and server systems are affected.

A remote user can also send specially crafted RPC requests to RPC program number 390113 on the target system to trigger a heap overflow in 'nsrexecd.exe'.

The vendor was notified on November 17, 2005.

The original advisories are available at:

http://www.idefense.com/intelligence/vulnerabilities/display.php?id=373
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=374
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=375

Impact:   A remote user can cause the nsrd service to crash.

A remote user can execute arbitrary code on the target system.

Solution:   The vendor has issued a fixed version (7.1.4, 7.3). Also, a hotfix is available for version 7.2.1 at:

ftp://ftp.legato.com/pub/NetWorker/Updates/LGTpa83990

The future version 7.2.2 will include the fix.

The vendor's advisory is available at:

http://www.legato.com/support/websupport/product_alerts/011606_NW.htm

Vendor URL:  www.legato.com/support/websupport/product_alerts/011606_NW.htm (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (AIX), UNIX (HP/UX), UNIX (macOS/OS X), UNIX (SGI/IRIX), UNIX (Solaris - SunOS), UNIX (Tru64), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  iDefense Security Advisory 01.17.06: EMC Legato Networker nsrd.exe

EMC Legato Networker nsrd.exe Heap Overflow Vulnerability

iDefense Security Advisory 01.17.06
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=373
January 17, 2006

I. BACKGROUND

EMC Legato NetWorker is a cross-platform backup and recovery
application.

II. DESCRIPTION

Remote exploitation of a heap overflow vulnerability in EMC Corp.'s
Legato Networker allows attackers to execute arbitrary code on Windows
platforms.

The vulnerability specifically exists due to improper handling of
malformed RPC requests to RPC program number 390109. When such a request
is sent by an attacker, it is possible to overwrite portions of heap
memory, thus leading to arbitrary code execution.

III. ANALYSIS

Successful exploitation allows a remote attacker to gain access to a
targeted machine. As nsrd.exe is installed on backup client machines
and server machines, an attacker may rapidly compromise a network using
this vulnerability.

IV. DETECTION

iDefense has confirmed this vulnerability in Networker 7.2 build 172.
All previous versions are suspected vulnerable.

V. WORKAROUND

iDefense is currently unaware of any workarounds for this issue.

VI. VENDOR RESPONSE

"Complete resolutions to the vulnerabilities are available today in
NetWorker 7.1.4 and 7.3. EMC has created a hot-fix to protect against
vulnerabilities for 7.2.1 customers.  No fixes are planned for previous
NetWorker releases."
 
"These remedies are available for download at:"

  http://www.legato.com/support/websupport/product_alerts/011606_NW.htm

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
name CAN-2005-3658 to this issue. This is a candidate for inclusion in
the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

11/17/2005 Initial vendor notification
11/17/2005 Initial vendor response
01/17/2006 Coordinated public disclosure

IX. CREDIT

Jo Goossens is credited with the discovery of this vulnerability.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

Free tools, research and upcoming events
http://labs.idefense.com

X. LEGAL NOTICES


Permission is granted for the redistribution of this alert
electronically. It may not be edited in any way without the express
written consent of iDefense. If you wish to reprint the whole or any
part of this alert in any other medium other than electronically, please
email customerservice@idefense.com for permission.

Disclaimer: The information in the advisory is believed to be accurate
at the time of publishing based on currently available information. Use
of the information constitutes acceptance for use in an AS IS condition.
There are no warranties with regard to this information. Neither the
author nor the publisher accepts any liability for any direct, indirect,
or consequential loss or damage arising from use of, or reliance on,
this information.
_______________________________________________
To unsubscribe, go here:
http://www.idefense.com/mailman/listinfo/idlabs-advisories
 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC